<?



/*



=======================================



Дневники для Dcms-Social



Автор: Искатель



---------------------------------------



Этот скрипт распостроняется по лицензии



движка Dcms-Social. 



При использовании указывать ссылку на



оф. сайт http://dcms-social.ru



---------------------------------------



Контакты



ICQ: 587863132



http://dcms-social.ru



=======================================



*/



include_once '../../sys/inc/start.php';



include_once '../../sys/inc/compress.php';



include_once '../../sys/inc/sess.php';



include_once '../../sys/inc/home.php';



include_once '../../sys/inc/settings.php';



include_once '../../sys/inc/db_connect.php';



include_once '../../sys/inc/ipua.php';



include_once '../../sys/inc/fnc.php';



include_once '../../sys/inc/user.php';







/* Бан пользователя */ 



if (mysql_result(mysql_query("SELECT COUNT(*) FROM `ban` WHERE `razdel` = 'notes' AND `id_user` = '$user[id]' AND (`time` > '$time' OR `view` = '0' OR `navsegda` = '1')"), 0)!=0)



{



header('Location: /ban.php?'.SID);exit;



}







$set['title']='Дневники';



include_once '../../sys/inc/thead.php';



title();



aut(); // форма авторизации







echo "<div id='comments' class='menus'>";







echo "<div class='webmenu'>";



echo "<a href='index.php' class='activ'>Дневники</a>";



echo "</div>"; 







        



echo "<div class='webmenu last'>";



echo "<a href='dir.php'>Категории</a>";



echo "</div>"; 



        



echo "<div class='webmenu last'>";



echo "<a href='search.php'>Поиск</a>";



echo "</div>"; 







echo "</div>";











if (isset($_GET['sort']) && $_GET['sort'] =='t')$order='order by `time` desc';



elseif (isset($_GET['sort']) && $_GET['sort'] =='c') $order='order by `count` desc';



else $order='order by `time` desc';







if(isset($user))



{



echo'<div class="foot">';



echo "<a href=\"user.php\">Мои дневники</a> | ";



echo "<a href=\"add.php\">Создать дневник</a>";



echo '</div>';



}







echo'<div class="foot">';



if (isset($_GET['sort']) && $_GET['sort'] =='t'){







echo"<b>Новые</b> | <a href='?sort=c'>Популярные</a>\n";







}elseif (isset($_GET['sort']) && $_GET['sort'] =='c'){







echo"<a href='?sort=t'>Новые</a> | <b>Популярные</b>\n";







}else{







echo"<b>Новые</b> | <a href='?sort=c'>Популярные</a>\n";







}



echo '</div>';















$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `notes` "),0);



$k_page=k_page($k_post,$set['p_str']);



$page=page($k_page);



$start=$set['p_str']*$page-$set['p_str'];







$q=mysql_query("SELECT * FROM `notes` $order LIMIT $start, $set[p_str]");



echo "<table class='post'>\n";



if ($k_post==0)



{



echo "  <div class='mess'>\n";



echo "Нет записей\n";



echo "  </div>\n";



}







while ($post = mysql_fetch_assoc($q))



{







/*-----------зебра-----------*/



if ($num==0)



{echo "  <div class='nav1'>\n";



$num=1;



}elseif ($num==1)



{echo "  <div class='nav2'>\n";



$num=0;}



/*---------------------------*/







echo "<img src='/style/icons/dnev.png' alt='*'> ";







echo "<a href='list.php?id=$post[id]'>" . htmlspecialchars($post['name']) . "</a>";







echo " <span style='time'>(".vremja($post['time']).")</span>\n";







$k_n= mysql_result(mysql_query("SELECT COUNT(*) FROM `notes` WHERE `id` = $post[id] AND `time` > '$ftime'",$db), 0);







if ($k_n!=0)echo " <img src='/style/icons/new.gif' alt='*'>";











echo "  </div>\n";







}



echo "</table>\n";







if (isset($_GET['sort'])) $dop="sort=$_GET[sort]&amp;";



else $dop='';



if ($k_page>1)str('?'.$dop.'',$k_page,$page); // Вывод страниц



include_once '../../sys/inc/tfoot.php';



?>



